Name:           libifp
Version:        1.0.0.1
Release:        1%{?dist}
Summary:        A general-purpose library-driver for iRiver's iFP portable audio players

Group:          System Environment/Base
License:        GPL
URL:            http://ifp-driver.sourceforge.net/
Source0:        http://dl.sourceforge.net/ifp-driver/%{name}-%{version}.tar.gz
Source1:        libifp.hotplug
Source2:        libifp.usermap
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libusb-devel doxygen

%description
libifp is a general-purpose library-driver for iRiver's iFP (flash-based)
portable audio players. The source code is pure C and is fairly portable.

Also included is a console app that uses the library.

%package        devel
Summary:        Headers and libraries for developing with libifp
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains headers and libraries for developing apps that use
libifp.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/libifp
install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/libifp.usermap

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_sysconfdir}/hotplug/usb/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Thu Jul  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net>
- Added Per Bjornsson's hotplug files

* Wed Jun 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0.1-1
- Initial RPM release
